
// simpleShapesView.cpp : implementation of the CsimpleShapesView class
//

#include "stdafx.h"
// SHARED_HANDLERS can be defined in an ATL project implementing preview, thumbnail
// and search filter handlers and allows sharing of document code with that project.
#ifndef SHARED_HANDLERS
#include "simpleShapes.h"
#endif

#include "simpleShapesDoc.h"
#include "simpleShapesView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CsimpleShapesView

IMPLEMENT_DYNCREATE(CsimpleShapesView, CView)

BEGIN_MESSAGE_MAP(CsimpleShapesView, CView)
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, &CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, &CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, &CsimpleShapesView::OnFilePrintPreview)
	ON_WM_CONTEXTMENU()
	ON_WM_RBUTTONUP()
	ON_WM_LBUTTONUP()
	ON_COMMAND(ID_GAME_NEWGAME, &CsimpleShapesView::OnGameNewteam)
END_MESSAGE_MAP()

// CsimpleShapesView construction/destruction

CsimpleShapesView::CsimpleShapesView()
{
	// TODO: add construction code here

}

CsimpleShapesView::~CsimpleShapesView()
{
}

BOOL CsimpleShapesView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

// CsimpleShapesView drawing

void CsimpleShapesView::OnDraw(CDC* pDC)
{
	CsimpleShapesDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	if (!pDoc)
		return;

	//Code for drawing a line without using CPoint class

	pDC->MoveTo(50,50);
	pDC->LineTo(200,200);

	//Code for drawing a line using CPoint class

	CPoint p1(150,50),p2(300,200);
	pDC->MoveTo(p1);
	pDC->LineTo(p2);

	//For drawing a simple rectangle

	CPoint p3(500,50),p4(700,150);
	CRect rect1(p3,p4);
	pDC->Rectangle(rect1);

	//For drawing an ellipse/circle

	CPoint p5(500,250),p6(700,300);
	CRect rect2(p5,p6);
	pDC->Ellipse(rect2);

	//For using a Pen and Brush tool i.e. CPen and CBrush classes to draw a red rectangle with green border

	CPen aPen(PS_SOLID,1,RGB(0,255,0));		//For a Green Outline
	CBrush aBrush(RGB(255,0,0));			//For a Red fill

	pDC->SelectObject(aPen);
	pDC->SelectObject(aBrush);
	
	CPoint p7(50,200),p8(150,300);
	CRect rect3(p7,p8);
	pDC->Rectangle(rect3);
}


// CsimpleShapesView printing


void CsimpleShapesView::OnFilePrintPreview()
{
#ifndef SHARED_HANDLERS
	AFXPrintPreview(this);
#endif
}

BOOL CsimpleShapesView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CsimpleShapesView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CsimpleShapesView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}

void CsimpleShapesView::OnRButtonUp(UINT /* nFlags */, CPoint point)
{
	ClientToScreen(&point);
	OnContextMenu(this, point);
}
void CsimpleShapesView::OnLButtonUp(UINT /* nFlags */, CPoint point)
{
	MessageBox(_T("You clicked the Left button."));
}
void CsimpleShapesView::OnContextMenu(CWnd* /* pWnd */, CPoint point)
{
#ifndef SHARED_HANDLERS
	theApp.GetContextMenuManager()->ShowPopupMenu(IDR_POPUP_EDIT, point.x, point.y, this, TRUE);
#endif
}


// CsimpleShapesView diagnostics

#ifdef _DEBUG
void CsimpleShapesView::AssertValid() const
{
	CView::AssertValid();
}

void CsimpleShapesView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CsimpleShapesDoc* CsimpleShapesView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CsimpleShapesDoc)));
	return (CsimpleShapesDoc*)m_pDocument;
}
#endif //_DEBUG


// CsimpleShapesView message handlers


void CsimpleShapesView::OnGameNewteam()
{
	MessageBox(_T("New Team Creation"));
}
